summaryrefslogtreecommitdiffstats
path: root/desktop/wminfo
diff options
context:
space:
mode:
author Cezary M. Kruk <c.kruk@bigfoot.com>2010-05-12 23:28:27 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:28:27 +0200
commite5a78876222b6651a26435e30a7b2ae38c6f71c3 (patch)
treecc743c1c66c66b7c0d1efdc9b172f053a3d20767 /desktop/wminfo
parentadca8c719b58e5ddac9bc155f66ec678731c654a (diff)
downloadslackbuilds-e5a78876222b6651a26435e30a7b2ae38c6f71c3.tar.gz
slackbuilds-e5a78876222b6651a26435e30a7b2ae38c6f71c3.tar.xz
desktop/wminfo: Added to 12.2 repository
Diffstat (limited to 'desktop/wminfo')
-rw-r--r--desktop/wminfo/README11
-rw-r--r--desktop/wminfo/slack-desc19
-rw-r--r--desktop/wminfo/wminfo.SlackBuild71
-rw-r--r--desktop/wminfo/wminfo.info8
4 files changed, 109 insertions, 0 deletions
diff --git a/desktop/wminfo/README b/desktop/wminfo/README
new file mode 100644
index 0000000000..3db00beecd
--- /dev/null
+++ b/desktop/wminfo/README
@@ -0,0 +1,11 @@
+wminfo is Window Maker information dockable application
+
+wminfo displays different text information. To use it write plugin
+grabbing information from the system or website. For example:
+
+ ps -a | awk '{print $1,$4}' | grep -vE "ps|awk|grep|tac" | tac
+
+or:
+
+ lynx --source http://www.kernel.org/pub/linux/kernel/v2.6/ | \
+ grep bz2.sign | grep linux | sed 's/.*linux-//;s/.tar.*//' | tac
diff --git a/desktop/wminfo/slack-desc b/desktop/wminfo/slack-desc
new file mode 100644
index 0000000000..6610fed663
--- /dev/null
+++ b/desktop/wminfo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wminfo: wminfo (Window Maker information dockable application)
+wminfo:
+wminfo: wminfo displays different text information. To use it write plugin
+wminfo: grabbing information from the system or website. For example:
+wminfo:
+wminfo: ps -a | awk '{print $1,$4}' | grep -vE "ps|awk|grep|tac" | tac
+wminfo:
+wminfo: or:
+wminfo:
+wminfo: lynx --source http://www.kernel.org/pub/linux/kernel/v2.6/ | \
+wminfo: grep bz2.sign | grep linux | sed 's/.*linux-//;s/.tar.*//' | tac
diff --git a/desktop/wminfo/wminfo.SlackBuild b/desktop/wminfo/wminfo.SlackBuild
new file mode 100644
index 0000000000..b0bf0c3fa1
--- /dev/null
+++ b/desktop/wminfo/wminfo.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for wminfo
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=wminfo
+VERSION=${VERSION:-1.51}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd wminfo
+ CFLAGS="$SLKCFLAGS" make
+ # Copying executable to the correct location
+ mkdir -p $PKG/usr/bin
+ cp -a wminfo $PKG/usr/bin
+cd -
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES COPYING INSTALL README TODO plugins \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/desktop/wminfo/wminfo.info b/desktop/wminfo/wminfo.info
new file mode 100644
index 0000000000..946d8509df
--- /dev/null
+++ b/desktop/wminfo/wminfo.info
@@ -0,0 +1,8 @@
+PRGNAM="wminfo"
+VERSION="1.51"
+HOMEPAGE="http://c.kruk.webpark.pl"
+DOWNLOAD="http://c.kruk.webpark.pl/wminfo-1.51.tar.gz"
+MD5SUM="dd4b168a31847694dfdb74772c57b7da"
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"
+APPROVED="dsomero"